---
title: VideoPlaybackQuality.droppedVideoFrames
slug: Web/API/VideoPlaybackQuality/droppedVideoFrames
tags:
  - API
  - Data Loss
  - Experimental
  - Frames
  - Media
  - Media Playback Quality
  - Media Playback Quality API
  - Playback
  - Property
  - Quality
  - Reference
  - Video
  - VideoPlaybackQuality
  - droppedVideoFrames
---
<p>{{APIRef("HTML DOM")}}<br>
 <span class="seoSummary">The read-only <code><strong>droppedVideoFrames</strong></code> property of the {{domxref("VideoPlaybackQuality")}} interface returns the number of video frames which have been dropped rather than being displayed since the last time the media was loaded into the {{domxref("HTMLVideoElement")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>value</em> = <em>videoPlaybackQuality</em>.droppedVideoFrames;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned 64-bit value indicating the number of frames that have been dropped since the last time the media in the {{HTMLElement("video")}} element was loaded or reloaded. This information can be used to determine whether or not to downgrade the video stream to avoid dropping frames.</p>

<p>Frames are typically dropped either before or after decoding them, when it's determined that it will not be possible to draw them to the screen at the correct time.</p>


<h2 id="Example">Example</h2>

<p>This example calls {{domxref("HTMLVideoElement.getVideoPlaybackQuality", "getVideoPlaybackQuality()")}} to obtain a {{domxref("VideoPlaybackQuality")}} object, then determines what percentage of frames have been dropped. That value is then presented in an element for the user's reference.</p>

<pre class="brush: js">var videoElem = document.getElementById("my_vid");
var percentElem = document.getElementById("percent");
var quality = videoElem.getVideoPlaybackQuality();

var dropPercent = (quality.droppedVideoFrames/quality.totalVideoFrames)*100;
percentElem.innerText = Math.trunc(dropPercent).toString(10);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Playback Quality', '#videoplaybackquality-interface', 'VideoPlaybackQuality.droppedVideoFrames')}}</td>
   <td>{{Spec2('Media Playback Quality')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.VideoPlaybackQuality.droppedVideoFrames")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLVideoElement.getVideoPlaybackQuality()")}} method, which creates and returns <code>VideoPlaybackQuality</code> objects</li>
</ul>
